Package org.apache.catalina.valves.rewrite

## Class Substitution.ServerVariableEnvElement

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement
  - - org.apache.catalina.valves.rewrite.Substitution.ServerVariableEnvElement

- Enclosing class:
    Substitution

      public static class Substitution.ServerVariableEnvElement
      extends Substitution.SubstitutionElement

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `key` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerVariableEnvElement()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `evaluate​(java.util.regex.Matcher rule, java.util.regex.Matcher cond, Resolver resolver)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          public java.lang.String key

  - ### Constructor Detail

    - #### ServerVariableEnvElement

          public ServerVariableEnvElement()

  - ### Method Detail

    - #### evaluate

          public java.lang.String evaluate​(java.util.regex.Matcher rule,
                                           java.util.regex.Matcher cond,
                                           Resolver resolver)

      Specified by:
        `evaluate` in class `Substitution.SubstitutionElement`